commit:     48f20b0ebdc16516dd9fa5c0e0681a61e8d8d333
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 12 09:12:18 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 12 09:12:18 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48f20b0e

xfce-extra/xfce4-screenshooter: Bump to 1.9.11

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-screenshooter/Manifest            |  1 +
 .../xfce4-screenshooter-1.9.11.ebuild              | 58 ++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/xfce-extra/xfce4-screenshooter/Manifest 
b/xfce-extra/xfce4-screenshooter/Manifest
index 9de0a393bcbd..2958c4c9f00f 100644
--- a/xfce-extra/xfce4-screenshooter/Manifest
+++ b/xfce-extra/xfce4-screenshooter/Manifest
@@ -1 +1,2 @@
 DIST xfce4-screenshooter-1.9.10.tar.bz2 568057 BLAKE2B 
92fc78737f79f34ae7b3c62e7800af28c93e37df108e712f1d80657a5cfd1635dd3c1afbd2f371efe59c76a1e9b8b76bf0bb18daffe2054bc43044eb93d57f00
 SHA512 
fc6327730f4df1d58cd1f8c8e8c1e0cdbf7a1f78aadc05357c603fe2b1969f012e14e8a2168117421f211bf7fccf0f04e91cb36b2364da18f62c9ec0b0978344
+DIST xfce4-screenshooter-1.9.11.tar.bz2 585007 BLAKE2B 
2ffb2f4fb9bbba393b56d253919f999790a7d7fb8679fadd2365828d76b89fb736a2d7ff78556b75665936c197bb33363bc9e5c15bd94cb265d57d11b24f69da
 SHA512 
fec4a374047dc0dddddd5d498f6ffb55bc590f209b31fa5e3ca5871788568145ad910fd535fced2f1d2eb52c52e219981eee3aba2e63ab1c56448bb313376155

diff --git a/xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.9.11.ebuild 
b/xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.9.11.ebuild
new file mode 100644
index 000000000000..a1fa0070a58d
--- /dev/null
+++ b/xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.9.11.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="Xfce4 screenshooter application and panel plugin"
+HOMEPAGE="https://goodies.xfce.org/projects/applications/xfce4-screenshooter";
+SRC_URI="https://archive.xfce.org/src/apps/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux"
+
+RDEPEND="
+       >=dev-libs/glib-2.16:=
+       >=net-libs/libsoup-2.26:=
+       >=x11-libs/gdk-pixbuf-2.16:=
+       >=x11-libs/gtk+-3.20:3=
+       >=x11-libs/pango-1.44:=
+       dev-libs/libxml2:=
+       x11-libs/libX11:=
+       x11-libs/libXext:=
+       x11-libs/libXfixes:=
+       >=xfce-base/exo-0.11:=
+       >=xfce-base/xfce4-panel-4.14:=
+       >=xfce-base/libxfce4util-4.14:=
+       >=xfce-base/libxfce4ui-4.14:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/glib-utils
+       dev-util/intltool
+       sys-apps/help2man
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local myconf=(
+               --enable-xfixes
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to